package cn.com.qmth.examcloud.core.questions.dao.entity;

import cn.com.qmth.examcloud.core.questions.dao.entity.base.IdBase;

import javax.validation.constraints.NotNull;

/**
 * @author weiwenhai
 * @describle 属性
 * @date 2017.11.6
 */
public class Property extends IdBase {
	public static final String ROOT_PARENT_ID = "0";

	@NotNull
	private Long orgId;

	@NotNull
	private String coursePropertyId;

	@NotNull
	private String parentId;

	@NotNull
	private String name;

	@NotNull
	private String code;

	@NotNull
	private Integer number;// 序号

	private String remark;

	// 数据来源id，导入用
	private String fromId;
	// 数据录入批次，清理用
	private String batch;

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getCoursePropertyId() {
		return coursePropertyId;
	}

	public void setCoursePropertyId(String coursePropertyId) {
		this.coursePropertyId = coursePropertyId;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getFromId() {
		return fromId;
	}

	public void setFromId(String fromId) {
		this.fromId = fromId;
	}

	public String getBatch() {
		return batch;
	}

	public void setBatch(String batch) {
		this.batch = batch;
	}

}